# nvidia-xconfig: X configuration file generated by nvidia-xconfig
# nvidia-xconfig:  version 535.161.07


Section "ServerLayout"
    Identifier     "Layout0"
    Screen      0  "Screen0"
    InputDevice    "Keyboard0" "CoreKeyboard"
    InputDevice    "Mouse0" "CorePointer"
    InputDevice    "DCV Stylus Pen"
    InputDevice    "DCV Stylus Eraser"
    InputDevice    "DCV Touchscreen"
EndSection

Section "Files"
EndSection

Section "InputDevice"

    # generated from default
    Identifier     "Mouse0"
    Driver         "mouse"
    Option         "Protocol" "auto"
    Option         "Device" "/dev/input/mice"
    Option         "Emulate3Buttons" "no"
    Option         "ZAxisMapping" "4 5"
EndSection

Section "InputDevice"

    # generated from default
    Identifier     "Keyboard0"
    Driver         "kbd"
EndSection

Section "InputDevice"
    Identifier     "DCV Stylus Pen"
    Driver         "dcvinput"
EndSection

Section "InputDevice"
    Identifier     "DCV Stylus Eraser"
    Driver         "dcvinput"
EndSection

Section "InputDevice"
    Identifier     "DCV Touchscreen"
    Driver         "dcvinput"
EndSection

Section "Monitor"
    Identifier     "Monitor0"
    VendorName     "Unknown"
    ModelName      "Unknown"
    Option         "DPMS"
EndSection

Section "Device"
    Identifier     "Device0"
    Driver         "nvidia"
    VendorName     "NVIDIA Corporation"
    BoardName      "NVIDIA RTX A5000"
    BusID          "PCI:97:0:0"
#   Option         "ConnectedMonitor" "DFP-0, DFP-1"
    Option         "ConnectedMonitor" "DFP-0"
#   Option         "CustomEDID" "DFP-0:/etc/X11/CG279X_EDID_v02.bin; DFP-1:=
/etc/X11/CG279X_EDID_v02.bin"
    Option         "CustomEDID" "DFP-0:/etc/X11/CG279X_EDID_v02.bin"
EndSection

Section "Screen"
    Identifier     "Screen0"
    Device         "Device0"
    Monitor        "Monitor0"
    DefaultDepth    24
    SubSection     "Display"
        Depth       24
    # Option         "MetaModes" "DP-0: resolution +position_x +position_y {ViewPortIn=resolution, ViewPortOut=resolution+position_x+position_y}, DP-1: resolution +position_x +position_y"
    Option         "MetaModes" "2560_1440 +0+0"
    # Option "MetaModes" "DP-0: 2560x1440_144 +0+0, DP-1: 1920x1080_60 +2560+0"
    # Option "MetaModes" "DP-0: 2560x1440_144 +0+0, DP-1: 1920x1080_60 +2560+0 {rotation=left}"
    EndSubSection
EndSection
